Bug 461139 - Review Request: arabeyes-thabit-fonts
Review Request: arabeyes-thabit-fonts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 462711
  Show dependency treegraph
 
Reported: 2008-09-04 10:23 EDT by Subhodip Biswas
Modified: 2009-06-02 01:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 01:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Thabit-fonts.spec-1.patch (2.52 KB, patch)
2008-10-03 02:14 EDT, Jens Petersen
no flags Details | Diff
spec file for arabeyes-fonts superpackage (3.73 KB, text/plain)
2008-11-09 11:05 EST, Muayyad Alsadi
no flags Details
font config configuration (493 bytes, text/plain)
2008-11-09 11:05 EST, Muayyad Alsadi
no flags Details

  None (edit)
Description Subhodip Biswas 2008-09-04 10:23:52 EDT
Spec URL: <http://subhodip.fedorapeople.org/arabeyes-core-fonts.spec>
SRPM URL: <http://subhodip.fedorapeople.org/arabeyes-core-fonts-0.02-2.fc9.src.rpm>
Description: <This package contains core Arabic fonts from Arabeyes.org project.
It covers Arabic, Farsi, Urdu and Pashto languages, and is suitable for
on screen display>

koji build :<http://koji.fedoraproject.org/koji/taskinfo?taskID=800603>

Can anybody review this ..please .
Comment 1 Subhodip Biswas 2008-09-04 10:57:58 EDT
http://dev.laptop.org/ticket/8221

please see this for reference .
Comment 2 Nicolas Mailhot 2008-09-05 13:40:16 EDT
Hi Subhodip,

I'll try to do a full review this week-end.

In the meanwhile:
1. Please split your package in two, since you have two different fonts from two different sources. This will provide more user flexibility

2. Please follow the workflow described on
http://fedoraproject.org/wiki/Font_package_lifecycle
and in particular create a wiki page per font packages that can be referenced in release notes and other documentation
Comment 3 Subhodip Biswas 2008-09-07 11:13:25 EDT
ok ..will do it
Comment 4 Jens Petersen 2008-09-08 23:29:10 EDT
(You can rename this bug to make it a review for one of the fonts.:)
Comment 5 Subhodip Biswas 2008-09-09 23:03:35 EDT
ok ..will do it by evening ..i am actually stuck because of koji ssl certificate revoked . Hope to fix it soon
Comment 6 Tony Fu 2008-09-09 23:07:37 EDT
requested by Jens Petersen (#27995)
Comment 8 Subhodip Biswas 2008-09-18 10:09:27 EDT
big mistake : i accidently build the font with tag dist-f9 in koji .however this is  corrected .

new koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=831897
Comment 9 Jens Petersen 2008-10-03 00:05:51 EDT
Nicolas, I feel like this would be a good candidate for naming "arabeyes-Thabit-fonts".
Maybe after f10 we should consider revising the fonts packaging naming guidelines?
Comment 10 Jens Petersen 2008-10-03 02:10:59 EDT
Strictly this doesn't block bug 462711 (Mothanna-fonts review) but in practice probably most of the changes to this packaging will need to be done for the other package too, so making it block.
Comment 11 Jens Petersen 2008-10-03 02:14:59 EDT
Created attachment 319318 [details]
Thabit-fonts.spec-1.patch

Bit more cleanup now that Mothanna-fonts is going to be a separate package.
Comment 12 Jens Petersen 2008-10-03 02:19:24 EDT
rpmlint says:

Thabit-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/Thabit-fonts-0.02/OFL.txt
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 13 Jens Petersen 2008-10-03 02:21:54 EDT
Well comment 12 is after fixing rpmlint warning for ver-rel tagging syntax in the changelog:

 %changelog
-* Mon Sep 08 2008  Subhodip Biswas <subhodip@fedoraproject.org> -0.02-3
-- Packaged seperatly as  Thabit and Mothana. 
-* Tue Sep 02 2008  Subhodip Biswas <subhodip@fedoraproject.org> -0.02-2
+* Mon Sep 08 2008  Subhodip Biswas <subhodip@fedoraproject.org> - 0.02-3
+- Packaged seperately as Thabit and Mothana. 
+
+* Tue Sep 02 2008  Subhodip Biswas <subhodip@fedoraproject.org> - 0.02-2
 - Submit for review. 
+
 * Fri Aug 29 2008  Khaled Hosny <khaledhosny@eglug.org> - 0.02-1
Comment 14 Subhodip Biswas 2008-10-05 14:27:03 EDT
ok ..will fix them soon
Comment 15 Nicolas Mailhot 2008-10-05 16:33:54 EDT
lowercase(In reply to comment #9)
> Nicolas, I feel like this would be a good candidate for naming
> "arabeyes-Thabit-fonts".

lowercase please

Appart from that, I really need to find a few hours to review the font packages backlog :(
Comment 16 Nicolas Mailhot 2008-10-12 12:44:54 EDT
(In reply to comment #14)
> ok ..will fix them soon

I'll review it just as soon as you post a new spec file, I promise :)
Comment 17 Jens Petersen 2008-10-12 20:40:58 EDT
(In reply to comment #15)
> > Nicolas, I feel like this would be a good candidate for naming
> > "arabeyes-Thabit-fonts".
> 
> lowercase please

The upstream name is clearly Thabit: do you think we should lowercase it?
Personally I usually prefer to preserve upstream casing as far as possible.
Comment 18 Subhodip Biswas 2008-10-13 00:51:53 EDT
@ Jens 

I guess preserving the upstream naming is fine .

@Nicolas 

Had problem with my net connection ..will upload tonight :)
Comment 19 Nicolas Mailhot 2008-10-13 02:22:42 EDT
we don't have any mixed-case package right now and I'd rather keep it this way. Mixed case confuses users that update/install from the CLI and fails as soon as there's a windows mirror or a fat usb key involved.

So please do use lowercase package names only please.
Comment 20 Jens Petersen 2008-10-16 02:28:24 EDT
Well there is VLGothic-fonts (and plenty of other mixed case packages in the distro), but I won't fight too much.  Though IMHO case in tarball names is generally worth respecting.
Comment 21 Subhodip Biswas 2008-10-22 00:20:16 EDT
i am getting confused ..
lowercase or tarball name ?
Comment 22 Nicolas Mailhot 2008-10-22 14:35:46 EDT
please use arabeyes-thabit-fonts as package name

(I'll find some reason to get VLGothic-fonts fixed later :))
Comment 23 Nicolas Mailhot 2008-10-26 08:26:27 EDT
I wanted to wait for a submission with a fixed name, but since I'm doing a font review run today anyway, here is a full review.

(on http://subhodip.fedorapeople.org/Thabit-fonts-0.02-3.fc9.src.rpm)

1. Please rename package to arabeyes-thabit-fonts

2. You have a typo in Summary

3. Is upstream's URL http://www.arabeyes.org/ or http://www.arabeyes.org/project.php?proj=Khotot (as referenced in the README) ?

4. Is the description still ok for a Thabit-only package?

5. It's harmless, but a Source2 without Source1 is strange, especially on a new package

6. Please use normal %setup macro in your package. That will simplify the spec a lot (your complex manual unpacking was only necessary because you initially tried to stuff two fonts in a single package)

7. Since upstream uses fontforge for building, please ask upstream to publish sfd sources and build fedora fonts from those sources (we have many packages that do so, for example DejaVu, Liberation, Inconsolata, etc)

8. Some people want all Fedora-added source files in a package to be prefixed
with the package name. You don't follow this convention for your fontconfig
file. Please use %{name}-fontconfig.conf as suggested by
http://fedoraproject.org/wiki/Packaging/FontsSpecTemplate

9. I don't know if 65 is the right fontconfig priority for this font. You need to discuss it with Behdad (preferably CC-ing the fedora fonts list)

10. Please only declare thabit-related fontconfig rules in the fontconfig file shipped with the thabit package

11. You probably want a "Generic name" rule in addition to the "Registering a font in default families" rule in your fontconfig file
→ http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Generic_names
 This rule is used by fontconfig to complete your font with glyphs from other
fonts when it encounters a codepoint your font is missing
→
http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Registering_a_font_in_default_families
  This rule is used by fontconfig to identify what fonts to use when an
application requests a "cursive" font.

12. Please reformat your xml files with xmllint --format before submission so
they are nicely indented with the same rules as other font packages

13. When you've written fontconfig rules you're happy with it's always a good
idea to send them upstream to be included in the font next releases (in the
versionned source archive you're supposed to request)

14. You can drop the -f flag to fc-cache for releases ≥ Fedora 9

15. OFL.txt mentions an IBM copyright. Please ask upstream to add a Fontlog.txt to their source release archive (as recommended by SIL for OFL fonts), that clearly identifies what other fonts were used to create this font, so Fedora Legal can check there is no problem

16. Please make sure all the steps up to 2.a (included) have been followed in
https://fedoraproject.org/wiki/Font_package_lifecycle 
In particular we need a wiki page that describes the font to be added to the wiki (for release notes)

Well that's a lot of stuff to fix and it's a pity the OLPC folks didn't do a full review before accepting this font package. I'm putting a "NEEDINFO reporter" on this bug and the Mothanna one (since it needs more or less the same fixes). Please remove this flag once you've fixed the previous points.

Please don't hesitate to ask questions on the fedora fonts list if there are elements you need help with.
Comment 24 Subhodip Biswas 2008-11-01 21:59:20 EDT
i have mailed upstream since i am not a direct contributer to olpc . Anyways I am still waiting for  a reply
Comment 25 Nicolas Mailhot 2008-11-09 10:24:29 EST
(In reply to comment #24)
> i have mailed upstream since i am not a direct contributer to olpc . Anyways I
> am still waiting for  a reply

Please do not wait for OLPC to respond. Our packaging standards are higher than theirs, any any font package that passed Fedora review will just the OLPC package next time they rebase on a new Fedora version.

Just do the requested fixes, so we can have a clean Fedora package OLPC can be referred to.
Comment 26 Muayyad Alsadi 2008-11-09 11:03:56 EST
Hi, I have FAS account and I would love to co-maintain this package for fedora as my first fedora package

we need 3 font packages
1. KACST
2. core
3. decorative
http://www.arabeyes.org/project.php?proj=Khotot
as you case see they are already split by upstream 
http://cvs.arabeyes.org/viewcvs/art/khotot/

KACST is not developed by Arabeyes thus they need its own super package
while core and decorative should be two subpackages of the same package

the core fonts are missing the best font which is simplified naskhi, which can be downloaded from Araveyes fonts team leader and the designer of the fonts

http://www.khaledhosny.org/filebrowser

KACST's fonts are released under GPLv1
the decorative fonts are GPLv2 and the core fonts are OFL licensed

I'll attach my .spec file
Comment 27 Muayyad Alsadi 2008-11-09 11:05:05 EST
Created attachment 323014 [details]
spec file for arabeyes-fonts superpackage
Comment 28 Muayyad Alsadi 2008-11-09 11:05:40 EST
Created attachment 323015 [details]
font config configuration
Comment 29 Nicolas Mailhot 2008-11-09 16:59:51 EST
(In reply to comment #27)
> Created an attachment (id=323014) [details]
> spec file for arabeyes-fonts superpackage

Alsadi, as I stated on the list (and in this review) we do not do superpackages in Fedora, so if you want to propose spec files you need to propose one spec per font (ie 3 spec files), not a single spec that packages three different upstream archives in one go
Comment 30 Jens Petersen 2008-11-10 19:47:55 EST
(In reply to comment #26)
> Hi, I have FAS account and I would love to co-maintain this package for fedora
> as my first fedora package

Unfortunately you have to be a packager in order to comaintain a package.

> we need 3 font packages
> 1. KACST

kacst-fonts is already in fedora for a long time.
Comment 31 Muayyad Alsadi 2008-11-11 10:25:13 EST
> Unfortunately you have to be a packager in order to comaintain a package.
till I get that, I'll be pleased to help at least by attaching .spec files in bugzilla

>> we need 3 font packages
>> 1. KACST
> kacst-fonts is already in fedora for a long time.
I meant to say we should have 3 separate packages
because we have 3 upstream packages
kacst: is from different author
while arabeyes-core and arabeyes-decorative have different license (the first is GPLed and the second is OFL)

Nicolas Mailhot proposed that each font should be split into a different package
so at least we need 3 different source rpms because we have three upstreams
they later can be split using some macro into final rpm
Comment 32 Jens Petersen 2008-11-11 18:22:44 EST
(In reply to comment #31)
> till I get that, I'll be pleased to help at least by attaching .spec files in bugzilla

Thanks.

> I meant to say we should have 3 separate packages
> because we have 3 upstream packages

Yep I think we all agree on this. :)

> they later can be split using some macro into final rpm

I think Nicolas was probably talking about subpackaging of upstream packages when they provide multiple fonts/faces, yes.
Comment 33 Nicolas Mailhot 2008-11-17 04:52:57 EST
Ping?
Comment 34 Nicolas Mailhot 2008-12-21 16:43:51 EST
[This is a simplified version of the message sent to every package maintainer that ships TTF/OTF/Type1 fonts in Fedora.]

Our font packaging guidelines have now changed. New font package submissions must now be adapted to the new templates available in the fontpackages-devel
package:
 – http://fedoraproject.org/wiki/fontpackageshttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

It is preferred to create a font package or subpackage per font family, though
it is not currently a hard guidelines requirement.
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_(2008-12-21)
has been submitted for FPC and FESCO approval today.

The new templates should make the creation of font packages easy and safe. 

The following packages have already been converted by their packager in fedora-devel and can serve as examples:
❄ abyssinica-fonts
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ nafees-web-naskh-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

The new spec templates have been designed to be easy to update to from the previous guidelines, and to remove complexity from font packages. To help new package creation the fontpackages-devel package has been made available in Fedora 9 and 10.

If you have any remaining questions about the new guidelines please ask them
on:
fedora-fonts-list at redhat.com
Comment 35 Peter Robinson 2009-02-06 11:08:28 EST
What is the status of this?
Comment 36 Jens Petersen 2009-03-17 01:51:55 EDT
Peter: I think we are waiting for the submission to be updated to the new Fonts Packaging Guidelines.
Comment 37 Peter Robinson 2009-04-12 19:22:57 EDT
Hello Subhodip, What is the status of the updates required to this package for the review? It would be great to get this into Fedora 11.
Comment 38 Parag Nemade 2009-06-02 01:27:03 EDT
Its almost 7 months and no reply from submitter, I will close this review now. Anyone interested please submit new package review.
Subodh,
   If you are still following this review and want to package this, submit updated package.

Note You need to log in before you can comment on or make changes to this bug.